@model List<Produto>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Produtos em estoque</h1>

<div>
    <form action="/produto/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui">
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
    </form>
</div>

<table class="table table-hover">
    @foreach (Produto p in Model)
    {
    <tr>
        
        <td>@p.Descricao</td>
        <td>@p.Categoria</td>
        <td>@p.QtdEstoque</td>
        <td>@p.UM</td>
    
        
        <td><a href="/produto/details/@p.SKU">Detalhes</a></td>
        <td><a href="/produto/delete/@p.SKU" class="btn btn-danger">Apagar</a></td>
        <td><a href="/produto/update/@p.SKU" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/produto/create" class="btn btn-success">Adicionar</a>
<script>
    function redirect(){
        location.href="/produto/index"
    }
</script>